
#include "VirtualMethodReturnValue.h"
#include "marshall_types.h"

VirtualMethodReturnValue::VirtualMethodReturnValue(
	Smoke *smoke, 
	const Smoke::Index methodIndex, 
	const Smoke::Stack stack, 
	zval* retval
) : MethodReturnValueBase( smoke, methodIndex, stack, retval )
{
	Marshall::HandlerFn fn = getMarshallFn(type());
	(*fn)(this);
}

VirtualMethodReturnValue::~VirtualMethodReturnValue()
{
}

Marshall::Action
VirtualMethodReturnValue::action()
{
	return Marshall::FromZVAL;
}
